Name:		qesteidutil
Version:	3.6.0
Release:	%mkrel 3
Summary:	Estonian ID card utility

Group:		Office/Utilities
License:	LGPLv2
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.6/qesteidutil qesteidutil-3.6.0 && tar cjf qesteidutil-3.6.0.tar.bz2 qesteidutil-3.6.0
Source0:	%{name}-%{version}.tar.bz2
Patch0:		qesteidutil-3.5.0-gcc47.patch

BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	smartcardpp-devel
Requires:	ccid
Requires:	opensc
Requires:	pcsc-lite

%description
QEsteidUtil is a user-friendly application for managing Estonian ID Cards.
It can be used to to change and unlock PIN codes, examine the personal 
information stored on the card, extract and view the certificates, set 
up mobile ID and configure a personal @eesti.ee e-mail address.


%prep
%setup -q
%patch0 -p1 -b .gcc47


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build


%files
%{_bindir}/qesteidutil
%{_datadir}/applications/qesteidutil.desktop
%{_datadir}/icons/hicolor/*/apps/qesteidutil.png


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 379827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Mon Jan 07 2013 barjac <barjac> 3.6.0-2.mga3
+ Revision: 340408
- update group

* Tue Sep 18 2012 sander85 <sander85> 3.6.0-1.mga3
+ Revision: 295926
- New version: 3.6.0

* Mon Jul 23 2012 sander85 <sander85> 3.5.0-2.mga3
+ Revision: 273718
- Fix build with gcc 4.7

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193396
- new version: 3.5.0

* Sun Dec 18 2011 fwang <fwang> 3.4.0-3.mga2
+ Revision: 183700
- br qtwebkit

  + sander85 <sander85>
    - rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.4.0-1.mga1
+ Revision: 89959
- imported package qesteidutil

